com.hazelcast.org.snakeyaml.engine.v1.constructor

## Class StandardConstructor.ConstructYamlSeq

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.constructor.StandardConstructor.ConstructYamlSeq

- All Implemented Interfaces:
    ConstructNode
  Enclosing class:
    StandardConstructor

      public class StandardConstructor.ConstructYamlSeq
      extends Object
      implements ConstructNode

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructYamlSeq()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `construct(Node node)` Construct a Java instance with all the properties injected when it is possible.
    `void` | `constructRecursive(Node node, Object data)` Apply the second step when constructing recursive structures.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructYamlSeq

          public ConstructYamlSeq()

  - ### Method Detail

    - #### construct

          public Object construct(Node node)

      Description copied from interface: `ConstructNode`
      Construct a Java instance with all the properties injected when it is possible.
      Specified by:
        `construct` in interface `ConstructNode`
      Parameters:
        `node` - composed Node
      Returns:
        a complete Java instance or empty collection instance if it is recursive

    - #### constructRecursive

          public void constructRecursive(Node node,
                                         Object data)

      Description copied from interface: `ConstructNode`
      Apply the second step when constructing recursive structures. Because the instance is already created it can assign a reference to itself. (no need to implement this method for non-recursive data structures). Fail with a reminder to provide the seconds step for a recursive structure
      Specified by:
        `constructRecursive` in interface `ConstructNode`
      Parameters:
        `node` - composed Node
        `data` - the instance constructed earlier by `construct(Node node)` for the provided Node

Copyright © 2019. All rights reserved.